Create hotspot
curl --request POST \
--url https://api.vidbeo.com/v2/videos/{VIDEO_ID}/hotspots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"show_at": "<string>",
"hide_at": "<string>",
"x": 123,
"y": 123,
"action": "link",
"link": "<string>"
}
'import requests
url = "https://api.vidbeo.com/v2/videos/{VIDEO_ID}/hotspots"
payload = {
"name": "<string>",
"show_at": "<string>",
"hide_at": "<string>",
"x": 123,
"y": 123,
"action": "link",
"link": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
show_at: '<string>',
hide_at: '<string>',
x: 123,
y: 123,
action: 'link',
link: '<string>'
})
};
fetch('https://api.vidbeo.com/v2/videos/{VIDEO_ID}/hotspots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "abcde12345abcde12345a",
"name": "Example",
"show_at": "00:00:05",
"hide_at": "00:00:05",
"x": 25,
"y": 25,
"action": "link",
"link": "https://example.com",
"target": "_parent",
"opacity": "translucent"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Invalid data sent"
}
]
}Videos
Create hotspot
Create a new hotspot
POST
/
videos
/
{VIDEO_ID}
/
hotspots
Create hotspot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the video
Example:
"abcde12345abcde12345a"
Body
application/json
A short label for the hotspot
Maximum string length:
100The time-code the hotspot should appear at, as HH:MM:SS
Maximum string length:
8The time-code the hotspot should hide at, as HH:MM:SS
Maximum string length:
8Where should the hotspot be horizontally positioned (we suggest 25-75)?
Where should the hotspot be vertically positioned (we suggest 25-75)?
What should happen when the hotspot is clicked?
Available options:
link The URL viewers will be taken to if they click the hotspot
Maximum string length:
100Where should the link open?
Available options:
_blank, _parent How should the hotspot appear?
Available options:
invisible, translucent, opaque ⌘I